---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/edit-comment.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Editing a comment

Use this request to edit comments.

<div class="request_example method_patch yfm-clipboard">
    <p>PATCH</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_ID>/comments/&lt;comment_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To edit a comment previously [added to an issue](https://yandex.com.tr/support/tracker/en/api-ref/issues/add-comment.md), use an HTTP `PATCH` request. Provide the request parameter in the request body in JSON format:

```json translate=no
PATCH /v3/issues/<issue_ID>/comments/<comment_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
   "text": "<new_comment_text>"
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<issue_ID> | ID or key of the current issue. | String |
| \<comment_ID> | [Unique ID of the comment](get-comments.md#answer) in numeric (id) or string format (longId). | String or number |

{% endcut %}


{% cut "Request body parameters" %}

**Required parameters**

| Parameter | Value | Data type |
----- | ----- | -----
| text | Edited issue comment. | String |

**Additional parameters**

| Parameter | Value | Data type |
----- | ----- | -----
| attachmentIds | IDs of [temporary files](./temp-attachment.md) that will be added as attachments. | Array of strings |
| summonees | IDs or usernames of summoned users. | Array of objects or strings |
| markupType | Type of text markup. If you use the [YFM markup](../../user/syntax-yfm.md) in comments, specify the `md` value. | String |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the added comment in JSON format.

  ```json translate=no
    {
      "self": "https://api.tracker.yandex.net/v3/issues/TREK-1/comments/626",
      "id" : 626,
      "longId": "5fa15a24ac894475********",
      "text": "Comment text",
      "createdBy" : {
        "self":"https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name",
        "cloudUid": "ajeppa7dgp53********",
        "passportUid": 11********
        },
      "updatedBy" : {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name",
        "cloudUid": "ajeppa7dgp53********",
        "passportUid": 11********
      },
      "createdAt": "2020-11-03T13:24:52.575+0000",
      "updatedAt": "2020-11-03T13:24:52.575+0000",
      "summonees" : [
       {
         "self": "https://api.tracker.yandex.net/v3/users/11********",
         "id": "11********",
         "display": "User Name",
         "cloudUid": "ajeppa7dgp53********",
         "passportUid": 11********
       }
      ],
     "maillistSummonees" : [
       {
        "self": "https://api.tracker.yandex.net/v3/maillists/usertest@test.ru",
        "id": "usertest@test.ru",
        "display": "My maillist"
       }
      ],
      "version" : 1,
      "type": "standard",
      "transport": "internal"
    }
    ```

  {% cut "Response parameters" %}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Link to the comment. | String |
  | id | Comment ID. | String |
  | longId | ID of the comment in string format. | String |
  | text | Comment on the issue. | String |
  | [createdBy](#object-fields-createdBy) | Block with information about the user who added the comment. | Map object |
  | [updatedBy](#object-fields-updatedBy) | Block with information about the user who edited the comment last. | Map object |
  | createdAt | Comment creation date and time. | String |
  | updatedAt | Comment update date and time. | String |
  | [summonees](#object-fields-summonees) | Block with information about users who are invited in comments. | Map object |
  | [maillistsummonees](#object-fields-maillistsummonees) | Block with information about mailing lists mentioned in comments. | Map object |
  | version | Comment version. Each update increases the comment's version number. | Number |
  | type | Comment type:<ul><li>`standart`: Comment sent via the Yandex Tracker interface.</li><li>`incoming`: Comment created from an incoming message.</li><li>`outcoming`: Comment created from an outgoing message.</li></ul> | String |
  | transport | Method of adding a comment:<ul><li>`internal`: Via the Yandex Tracker interface.</li><li>`email`: Via email.</li></ul> | String |

  `createdBy` **object fields** {#object-fields-createdBy}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `updatedBy` **object fields** {#object-fields-updatedBy}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `summonees` **object fields** {#object-fields-summonees}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `maillistsummonees` **object fields** {#object-fields-maillistsummonees}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Link to the mailing list. | String |
  | id | Mailing list address. | String |
  | display | Mailing list name displayed. | String |

  {% endcut %}

- Request failed

  If the request is processed incorrectly, the API returns a response with an error code:

  <!-- source: en/_includes/api/answer-error-400.md -->
  400
  :   One or more request parameters have an invalid value.
  <!-- endsource: en/_includes/api/answer-error-400.md -->

  <!-- source: en/_includes/api/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}

